package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.YesOrNoEnum;

import io.swagger.annotations.ApiModelProperty;

import org.apache.commons.lang3.builder.ToStringBuilder;

import java.math.BigDecimal;

/**
 * 对应数据库表(goods):
 */
public class Goods {

	/** 商品编号 */
	@ApiModelProperty(value = "商品编号",required = false)
	private Integer id;
	
	/** 产品分类 */
	@ApiModelProperty(value = "产品分类1乐器，2教材，3辅件",required = false)
	private Integer goodsCategoryId;
	
	/** 商品货号 */
	@ApiModelProperty(value = "商品货号",required = false)
	private String sn;
	
	/** 商品名称 */
	@ApiModelProperty(value = "商品名称",required = false)
	private String name;
	
	/** 品牌 */
	@ApiModelProperty(value = "品牌",required = false)
	private String brand;
	
	/** 规格 */
	@ApiModelProperty(value = "规格",required = false)
	private String specification;
	
	/** 展示图片的地址 */
	@ApiModelProperty(value = "展示图片的地址",required = false)
	private String image;
	
	/** 库存数量 */
	@ApiModelProperty(value = "库存数量",required = false)
	private Integer stockCount;
	
	/** 总销量数 */
	@ApiModelProperty(value = "总销量数",required = false)
	private Integer sellCount;
	
	/** 市场销售价 */
	@ApiModelProperty(value = "市场销售价",required = false)
	private BigDecimal marketPrice;
	
	/** 折扣价 */
	@ApiModelProperty(value = "折扣价",required = false)
	private BigDecimal discountPrice;
	
	/** 团购价 */
	@ApiModelProperty(value = "团购价",required = false)
	private BigDecimal groupPurchasePrice;
	
	/** 页面简介 */
	@ApiModelProperty(value = "页面简介",required = false)
	private String brief;
	
	/** 商品的详细描述 */
	@ApiModelProperty(value = "商品的详细描述",required = false)
	private String desc;
	
	/** 是否是新品（1，是  0，否） */
	@ApiModelProperty(value = "是否是新品（1，是  0，否）",required = false)
	private YesOrNoEnum isNew;
	
	/** 是否置顶（1，置顶   0，不置顶） */
	@ApiModelProperty(value = "是否置顶（1，置顶   0，不置顶）",required = false)
	private YesOrNoEnum isTop;
	
	/** 状态（1，上架  0，下架） */
	@ApiModelProperty(value = "状态（1，上架  0，下架）",required = false)
	private YesOrNoEnum status;
	
	/** 备注 */
	@ApiModelProperty(value = "备注",required = false)
	private String memo;
	
	/** 发布时间 */
	@ApiModelProperty(value = "发布时间",required = false)
	private java.util.Date publishTime;

	/** 发布时间 */
	@ApiModelProperty(value = "附件商品列表编号（用逗号分开）",required = false)
	private String complementGoodsIdList;
	
	/** 创建时间 */
	private java.util.Date createTime;
	
	/** 修改时间 */
	private java.util.Date updateTime;

	public String getComplementGoodsIdList() {
		return complementGoodsIdList;
	}

	public void setComplementGoodsIdList(String complementGoodsIdList) {
		this.complementGoodsIdList = complementGoodsIdList;
	}

	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setGoodsCategoryId(Integer goodsCategoryId){
		this.goodsCategoryId = goodsCategoryId;
	}
	
	public Integer getGoodsCategoryId(){
		return this.goodsCategoryId;
	}
			
	public void setSn(String sn){
		this.sn = sn;
	}
	
	public String getSn(){
		return this.sn;
	}
			
	public void setName(String name){
		this.name = name;
	}
	
	public String getName(){
		return this.name;
	}
			
	public void setBrand(String brand){
		this.brand = brand;
	}
	
	public String getBrand(){
		return this.brand;
	}
			
	public void setSpecification(String specification){
		this.specification = specification;
	}
	
	public String getSpecification(){
		return this.specification;
	}
			
	public void setImage(String image){
		this.image = image;
	}
	
	public String getImage(){
		return this.image;
	}
			
	public void setStockCount(Integer stockCount){
		this.stockCount = stockCount;
	}
	
	public Integer getStockCount(){
		return this.stockCount;
	}
			
	public void setSellCount(Integer sellCount){
		this.sellCount = sellCount;
	}
	
	public Integer getSellCount(){
		return this.sellCount;
	}

	public BigDecimal getMarketPrice() {
		return marketPrice;
	}

	public void setMarketPrice(BigDecimal marketPrice) {
		this.marketPrice = marketPrice;
	}

	public BigDecimal getDiscountPrice() {
		return discountPrice;
	}

	public void setDiscountPrice(BigDecimal discountPrice) {
		this.discountPrice = discountPrice;
	}

	public BigDecimal getGroupPurchasePrice() {
		return groupPurchasePrice;
	}

	public void setGroupPurchasePrice(BigDecimal groupPurchasePrice) {
		this.groupPurchasePrice = groupPurchasePrice;
	}

	public void setBrief(String brief){
		this.brief = brief;
	}
	
	public String getBrief(){
		return this.brief;
	}
			
	public void setDesc(String desc){
		this.desc = desc;
	}
	
	public String getDesc(){
		return this.desc;
	}

	public YesOrNoEnum getIsNew() {
		return isNew;
	}

	public void setIsNew(YesOrNoEnum isNew) {
		this.isNew = isNew;
	}

	public YesOrNoEnum getIsTop() {
		return isTop;
	}

	public void setIsTop(YesOrNoEnum isTop) {
		this.isTop = isTop;
	}

	public YesOrNoEnum getStatus() {
		return status;
	}

	public void setStatus(YesOrNoEnum status) {
		this.status = status;
	}

	public void setMemo(String memo){
		this.memo = memo;
	}
	
	public String getMemo(){
		return this.memo;
	}
			
	public void setPublishTime(java.util.Date publishTime){
		this.publishTime = publishTime;
	}
	
	public java.util.Date getPublishTime(){
		return this.publishTime;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
